SSH Server
- GET
- /workspaces
- /:workspace
- /targets
- /:target_id
Get a specific SSH Server target by ID
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/targets/tg-12345",
"html_url": "https://app.buddy.works/targets/tg-12345",
"id": "tg-12345",
"identifier": "production-web-server",
"name": "Production Web Server",
"type": "SSH",
"host": "web.example.com",
"port": "22",
"path": "/var/www/html",
"auth": {
"method": "SSH_KEY",
"username": "deploy",
"asset": "production-ssh-key"
},
"tags": [
"production",
"web",
"deploy"
],
"pipelinesAccessLevel": "DENIED",
"allowedPipelines": [
{
"project": "my-project",
"pipeline": "deploy-pipeline"
},
{
"project": "my-project",
"pipeline": "hotfix-pipeline"
}
],
"permissions": {
"others": "READ_ONLY",
"users": [
{
"id": 42,
"access_level": "USE_ONLY"
}
],
"groups": []
},
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}STATUS
200 OK